#ifndef GROUP_H
#define GROUP_H

#include<string.h>
#include<iostream>
#include<vector>
//#include"Town.h"
#include"Agent.h"
using namespace std;                       //to use vector

class Group
{
public:     
		Group();	
		void makeDecision(Agent **agentPter);        // agent should contain these attributes
		void addAgent(int);                    //not sure!!!!
		void ModGroup(Agent **agentPter,int numAgents,int myIndex);
		int get_suggestion ();
		int group_choice;
		float avg_capital;
		int cheat_choice;
		int adv_choice;


private:    
		
	    vector <int> member;
	
};

#endif